Bug 103751 - findsmb not showing OS or SMB server version
findsmb not showing OS or SMB server version
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 12:22 EDT by Tammy Fox
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 17:04:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tammy Fox 2003-09-04 12:22:01 EDT
[tfox@ijin tfox]$ rpm -q samba
samba-3.0.0-3rc1.3E
[tfox@ijin tfox]$ findsmb
 
IP ADDR         NETBIOS NAME   WORKGROUP/OS/VERSION
---------------------------------------------------------------------
172.16.56.45            TREK           [        WORKGROUP     ]
172.16.56.70            BLADE         +[        TEST          ]
172.16.57.76    RHN-D2VXSG2CUGR [       WORKGROUP     ]
172.16.57.94            PIXEL          [        MYGROUP       ]
172.16.57.95            VECTOR        +[        WORKGROUP     ]
172.16.56.117           WCOHEN         [        MYGROUP       ]
172.16.57.137           RHN-TOAD       [        WORKGROUP     ]
172.16.57.141           JAWS          +[        MYGROUP       ]
172.16.56.159           FREYJA        +[        MINE          ]
172.16.59.191           KOMEJO_LAPTOP  [        MSHOME        ]
172.16.56.198           LTROAN         [        WORKGROUP     ]
172.16.59.201   DESKTOP-TESTBOX+[       REDHAT        ]
172.16.59.203           CLARIFY       +[        LINUX         ]
[tfox@ijin tfox]$

The man page says that the operating system and SMB server version should be
displayed as the last columns, but I am not seeing them.
Comment 1 Jay Fenlason 2003-09-11 10:58:16 EDT
This is fixed in samba-3.0.0-6rc3.3E 
Comment 2 Tammy Fox 2003-09-11 23:24:57 EDT
I see the OS and SMB version in most entries, but not in all still:

IP ADDR         NETBIOS NAME   WORKGROUP/OS/VERSION
---------------------------------------------------------------------
172.16.56.45    TREK             [WORKGROUP] [Windows 5.0] [Windows 2000 LAN
Manager]
172.16.56.66    BFOX           [        MYGROUP       ]
172.16.57.76    RHN-D2VXSG2CUGR   [WORKGROUP] [Windows 5.0] [Windows 2000 LAN
Manager]
172.16.57.94    PIXEL            [MYGROUP] [Unix] [Samba 2.2.8a]
172.16.57.95    VECTOR        +  [WORKGROUP] [Unix] [Samba 2.2.3a (build 26)]
172.16.56.117   WCOHEN           [MYGROUP] [Unix] [Samba 2.2.7-security-rollup-fix]
172.16.57.137   RHN-TOAD         [WORKGROUP] [Windows 5.0] [Windows 2000 LAN
Manager]
172.16.57.141   JAWS          +  [MYGROUP] [Unix] [Samba 2.2.7a-security-rollup-fix]
172.16.56.159   FREYJA        +  [MINE] [Unix] [Samba 2.2.7-security-rollup-fix]
172.16.56.198   LTROAN           [WORKGROUP] [Windows 5.0] [Windows 2000 LAN
Manager]
172.16.59.201   DESKTOP-TESTBOX+  [DESKTOP-TESTBOX] [Windows 5.1] [Windows 5.1]
172.16.59.203   CLARIFY       +[        LINUX         ]


Do some versions just not give this information?
Comment 3 Jay Fenlason 2003-09-15 12:37:49 EDT
Some clients, like Windows 9x, don't provide that information.  I'm somewhat 
curious about the configuration on CLARIFY, though.  Can you find the 
administrator on that machine and find out what it's running? 
Comment 4 Tammy Fox 2004-04-15 17:18:45 EDT
I asked around, but I wasn't able to find whose system this is.
Comment 5 Jay Fenlason 2004-12-02 17:04:34 EST
Closing old bugs. 

Note You need to log in before you can comment on or make changes to this bug.